メインコンテンツへスキップ
GET /api/v1/cloud/sessions/{session_id}/resources カーソルページネーションで Session リソースを取得します。

パスパラメータ

パラメータ説明
session_idstringsess_ プレフィックス付きの Session ID

クエリパラメータ

パラメータ必須説明
limitintegerいいえ返却するリソースの最大数。デフォルト: 20。サーバー上限(現在は 1000)を超える値はサイレントに丸められます。非正の値または非整数の値のみが 400 をトリガーします
pagestringいいえ前回のレスポンスの next_page から取得した不透明なカーソル。before_id および after_id と排他的です
before_idstringいいえこのリソース ID より前に並ぶリソースを返却します。page および after_id と排他的です
after_idstringいいえこのリソース ID より後に並ぶリソースを返却します。page および before_id と排他的です

ヘッダー

ヘッダー必須説明
AuthorizationはいBearer $QODER_PAT

リクエスト例

curl https://api.qoder.com/api/v1/cloud/sessions/sess_019e392c0d1e74e095d21ea4c6b41def/resources \
  -H "Authorization: Bearer $QODER_PAT"

レスポンスフィールド

フィールド説明
dataarraySession リソースオブジェクトの配列
has_morebooleanこの結果セットを超えてさらにページが存在するかどうか
first_idstring | nullこのページの最初のリソースの ID
last_idstring | nullこのページの最後のリソースの ID
next_pagestring | null次のページの不透明なカーソル。page クエリパラメータとして渡します

レスポンス例

HTTP 200 OK
{
  "data": [
    {
      "id": "sesr_0e4323e8f47ba34853f5409e",
      "type": "file",
      "file_id": "file_019ef2a07a06704fb899908c29eed779",
      "mount_path": "/mnt/session/uploads/file_019ef2a07a06704fb899908c29eed779",
      "created_at": "2026-06-23T05:53:19.77484Z",
      "updated_at": "2026-06-23T05:53:38.185714Z"
    }
  ],
  "first_id": "sesr_0e4323e8f47ba34853f5409e",
  "last_id": "sesr_0e4323e8f47ba34853f5409e",
  "has_more": false,
  "next_page": null
}
リソースの構造については Session リソース を参照してください。

エラー

HTTPtypeトリガー条件
400invalid_request_error無効な limit(非整数または非正)、または pagebefore_id/after_id と同時に指定
401authentication_errorPAT が無効または期限切れ
404not_found_errorSession が存在しない
HTTP 404 Not Found
{
  "type": "error",
  "error": {
    "type": "not_found_error",
    "message": "Session 'sess_does_not_exist_xxxxxxxxxxxxxxxxxxxxxxx' was not found."
  }
}
完全なエラーエンベロープは エラー を参照してください。